All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.publish
Interface LibraryMemberEntryInterface

All Superinterfaces:
  com.sas.entities.EntityKeyInterface, EntryInterface, java.rmi.Remote

All Known Subinterfaces:
  DatasetEntryInterface

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public interface LibraryMemberEntryInterface

extends EntryInterface, java.rmi.Remote

The LibraryMemberEntryInterface provides a mechanism for setting and getting the attributes of a library member entry. A library member entry is an entry that represents one of the following SAS member types: data set, catalog, MDDB, FDB, or SQL view.

Library member entries can only be published using the MVA Publish Framework. The Java API does not support publishing of these SAS members. The Java API can be used to retrieve the metadata that describes these library member entries. Additionally, the `DatasetEntryInterface` can be used to obtain the actual observations of the SAS data set.

Since:
  1.0
See Also:
  `DatasetEntryInterface`

Field Summary
`static int` | `CATALOG` The entry represents a SAS catalog.
`static int` | `DATASET` The entry represents a SAS data set.
`static int` | `FDB` The entry represents a SAS FDB.
`static int` | `MDDB` The entry represents a SAS MDDB.
`static int` | `SQLVIEW` The entry represents a SAS SQL view.

Method Summary
`abstract int` | `getLibraryMemberType()` Returns the type of library member.
`abstract java.lang.String` | `getLibraryName()` Returns the library name.
`abstract java.lang.String` | `getMemberName()` Returns the member name.

Methods inherited from interface com.sas.services.publish.EntryInterface
`getDescription, getNameValuePairs, getURL, isReadOnly, setDescription, setNameValuePairs`

Methods inherited from interface com.sas.entities.EntityKeyInterface
`getEntityKey, sameEntity, setEntityKey`

Field Detail

### DATASET

    static final int DATASET

  The entry represents a SAS data set.

  See Also:
    Constant Field Values

### CATALOG

    static final int CATALOG

  The entry represents a SAS catalog.

  See Also:
    Constant Field Values

### MDDB

    static final int MDDB

  The entry represents a SAS MDDB.

  See Also:
    Constant Field Values

### FDB

    static final int FDB

  The entry represents a SAS FDB.

  See Also:
    Constant Field Values

### SQLVIEW

    static final int SQLVIEW

  The entry represents a SAS SQL view.

  See Also:
    Constant Field Values

Method Detail

### getMemberName

    java.lang.String getMemberName()
                                   throws java.rmi.RemoteException,
                                          TransportException,
                                          java.lang.IllegalStateException

  Returns the member name.

  Returns:
    `String` The member name.
  Throws:
    `TransportException` - If the transport encounters an error getting the member name.
    `java.rmi.RemoteException` - If a network anomaly is encountered.
    `java.lang.IllegalStateException` - If the package containing this entry is already closed.

### getLibraryName

    java.lang.String getLibraryName()
                                    throws TransportException,
                                           java.rmi.RemoteException,
                                           java.lang.IllegalStateException

  Returns the library name. Some transports, such as the webdav and archive transports, do not support the library name and will return `null`. Transports that communicate with a SAS server, such as the requester transport, will return a non-null library name.

  Returns:
    `String` The library name; can be `null`.
  Throws:
    `TransportException` - If the transport encounters an error getting the library name.
    `java.rmi.RemoteException` - If a network anomaly is encountered.
    `java.lang.IllegalStateException` - If the package containing this entry is already closed.

### getLibraryMemberType

    int getLibraryMemberType()
                             throws java.rmi.RemoteException,
                                    java.lang.IllegalStateException

  Returns the type of library member.

  Returns:
    `int` The type of library member. Supported types include: `DATASET`, `CATALOG`, `MDDB`, `FDB` and `SQLVIEW`.
  Throws:
    `java.rmi.RemoteException` - If a network anomaly is encountered.
    `java.lang.IllegalStateException` - If the package containing this entry is already closed.

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.